Table of Contents

Class: textatom | ../bkchem/textatom.py
--- | ---
Base Classes |
--- | ---
drawable_chem_vertex
Methods |
--- | ---
__init__ __str__ get_formula_dict get_package read_package set_name
| __init__
    __init__ (
            self,
            standard=None,
            xy=(),
            package=None,
            molecule=None,
            )
| __str__
    __str__ ( self )
| get_formula_dict
    get_formula_dict ( self )
returns formula as dictionary that can be passed to functions in periodic_table
| get_package
    get_package ( self,  doc )
returns a DOM element describing the object in CDML, doc is the parent document which is used for element creation (the returned element is not inserted into the document)
| read_package
    read_package ( self,  package )
reads the dom element package and sets internal state according to it
Exceptions |
--- | ---
TypeError, "not text atom"
| set_name
    set_name (
            self,
            name,
            interpret=1,
            occupied_valency=None,
            )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1